import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SampleComponent } from './src/sample.component';
import { SampleComponent1 } from './src/sample.component1';
import { SampleDirective } from './src/sample.directive';
import { SamplePipe } from './src/sample.pipe';
import { SampleService } from './src/sample.service';
import {SampleRoutes} from './src/sample.routes';
import {RouterModule} from '@angular/router';
export * from './src/sample.component';
export * from './src/sample.directive';
export * from './src/sample.pipe';
export * from './src/sample.service';

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(SampleRoutes)
  ],
  declarations: [
    SampleComponent,
    SampleComponent1,
    SampleDirective,
    SamplePipe
  ],
  exports: [
    SampleComponent,
    SampleComponent1,
    SampleDirective,
    SamplePipe
  ]
})
export class SampleModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: SampleModule,
      providers: [SampleService]
    };
  }
}
